libnvme(2)

NAME
struct nvme_mi_vpd_mr_common - NVMe MultiRecord Area

SYNOPSIS
struct nvme_mi_vpd_mr_common {
__u8 type;
__u8 rf;
__u8 rlen;
__u8 rchksum;
__u8 hchksum;
union {
struct nvme_mi_vpd_mra nmra;
struct nvme_mi_vpd_ppmra ppmra;
struct nvme_mi_vpd_tra tmra;
};
};

Members

type
    NVMe Record Type ID

rf  Record Format

rlen
    Record Length

rchksum
    Record Checksum

hchksum
    Header Checksum

{unnamed_union}
    anonymous

nmra
    NVMe MultiRecord Area

ppmra
    NVMe PCIe Port MultiRecord Area

tmra
    Topology MultiRecord Area